syntax = "proto3";
option go_package = ".;pb";
import "comm.proto";

message DBGourmetAtlas {
  string id = 1; //@go_tags(`bson:"_id"`) ID
  string uid = 2; //@go_tags(`bson:"uid"`) 用户ID
  map<string,int32> atlas = 3;//@go_tags(`bson:"atlas"`)
}
// 正在烹饪的食物
message Cooking{
  int32 foodType = 1; // 料理类型
  int64 eTime = 2; // 结束时间戳
  int64 sTime = 3; // 开始时间戳
}

// 队列里的烹饪食品
message OrderCook{
  int32 foodType = 1; // 料理类型
  int32 foodCount = 2; // 料理数量
  int32 cookTime = 3; // 剩余烹饪时间
}
message DBGourmet {
  string id = 1; //@go_tags(`bson:"_id"`) ID
  string uid = 2; //@go_tags(`bson:"uid"`) 用户ID
  Cooking cookingFood = 3; //@go_tags(`bson:"cookingFood"`) 正在烹饪的食品
  repeated OrderCook foods = 4; //@go_tags(`bson:"foods"`) 等待烹饪的食品
  repeated UserAssets items = 5; //@go_tags(`bson:"items"`) 已经做好的食品
  map<int32,int32> skill = 6; //@go_tags(`bson:"skill"`) 技能ID
  map<int32,int32> specialSkill = 7; //@go_tags(`bson:"specialSkill"`) 通用技能
  int32 orderCostTime = 8; //@go_tags(`bson:"orderCostTime"`) 订单消耗的时常
  int64 ctime = 9; // 订单创建时间
  int32 totalTime = 10;//@go_tags(`bson:"totalTime"`)
}